<?php

defined('TYPO3') or die();

call_user_func(function () {

// Maximal erlaubte Filegroessen anpassen Angabe in kB (100M=100*1024=102400)
$GLOBALS['TYPO3_CONF_VARS']['BE']['maxFileSize'] = 100*1024;

$GLOBALS['TCA']['tt_content']['columns']['media']['config']['maxitems'] = 500;

$GLOBALS['TCA']['tt_content']['columns']['space_before_class']['config']['items'] = [
                    ['LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:space_class_none', ''],
                    ['LLL:EXT:igconfig/Resources/Private/Language/locallang_ttc.xlf:space_class_extra_small', 'extra-small'],
                    ['LLL:EXT:igconfig/Resources/Private/Language/locallang_ttc.xlf:space_class_small', 'small'],
                    ['LLL:EXT:igconfig/Resources/Private/Language/locallang_ttc.xlf:space_class_medium', 'medium'],
                    ['LLL:EXT:igconfig/Resources/Private/Language/locallang_ttc.xlf:space_class_large', 'large'],
                    ['LLL:EXT:igconfig/Resources/Private/Language/locallang_ttc.xlf:space_class_extra_large', 'extra-large'],
];
$GLOBALS['TCA']['tt_content']['columns']['space_after_class']['config']['items'] = [
                    ['LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:space_class_none', ''],
                    ['LLL:EXT:igconfig/Resources/Private/Language/locallang_ttc.xlf:space_class_extra_small', 'extra-small'],
                    ['LLL:EXT:igconfig/Resources/Private/Language/locallang_ttc.xlf:space_class_small', 'small'],
                    ['LLL:EXT:igconfig/Resources/Private/Language/locallang_ttc.xlf:space_class_medium', 'medium'],
                    ['LLL:EXT:igconfig/Resources/Private/Language/locallang_ttc.xlf:space_class_large', 'large'],
                    ['LLL:EXT:igconfig/Resources/Private/Language/locallang_ttc.xlf:space_class_extra_large', 'extra-large'],
];


// 'Beschreibung'-Feld ausblenden
$GLOBALS['TCA']['tt_content']['ctrl']['descriptionColumn'] = '';
unset($GLOBALS['TCA']['tt_content']['columns']['rowDescription']);


$tempColumnsAccordion = [
    'image_aspect' => [
        'exclude' => 1,
        'label' => 'LLL:EXT:igconfig/Resources/Private/Language/locallang_tca.xlf:image_aspect.aspect',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectSingle',
            'items' => [ ],
            'size' => '1',
            'maxitems' => 1,
            'eval' => 'required,null'
        ]
    ],
    'imagelayout' => [
        'exclude' => 1,
        'label' => 'LLL:EXT:igconfig/Resources/Private/Language/locallang_tca.xlf:imagelayout.imagelayout',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectSingle',
            'items' => [ ],
            'size' => '1',
            'maxitems' => 1,
            'eval' => 'required',
            'default' => '0'
        ]
    ],
    'ig_hide_on_device' => [
        'exclude' => 1,
        'label' => 'LLL:EXT:igconfig/Resources/Private/Language/locallang_tca.xlf:ig_hide_on_device',
        'config' => [
            'type' => 'select',
            'renderType' => 'selectSingle',
            'items' => [
                ['LLL:EXT:igconfig/Resources/Private/Language/locallang_tca.xlf:ig_hide_on_device_none', 0],

                ['LLL:EXT:igconfig/Resources/Private/Language/locallang_tca.xlf:ig_hide_on_device_tablet_smartphone', 3],
                ['LLL:EXT:igconfig/Resources/Private/Language/locallang_tca.xlf:ig_hide_on_device_smartphone', 4],

                ['LLL:EXT:igconfig/Resources/Private/Language/locallang_tca.xlf:ig_hide_on_device_desktop', 1],
                ['LLL:EXT:igconfig/Resources/Private/Language/locallang_tca.xlf:ig_hide_on_device_desktop_tablet', 2],

                ['LLL:EXT:igconfig/Resources/Private/Language/locallang_tca.xlf:ig_hide_on_device_notouch', 6],
                ['LLL:EXT:igconfig/Resources/Private/Language/locallang_tca.xlf:ig_hide_on_device_touch', 5],

            ],
        ],
    ],
    'additional_class' => [
        'exclude' => 1,
        'label' => 'LLL:EXT:igconfig/Resources/Private/Language/locallang_tca.xlf:additional_class',
        'config' => [
            'type' => 'input',
            'size' => '30',
            'eval' => 'trim',
        ]
    ],
];



\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('tt_content', $tempColumnsAccordion);
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', 'image_aspect', 'text,textpic,textmedia', 'after:imageorient');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', 'imagelayout', 'text,textpic,textmedia', 'after:imagecols');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', 'ig_hide_on_device', '', 'after:linkToTop');
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes('tt_content', 'additional_class', '', 'after:ig_hide_on_device');




	//* Subheader zu allen Elementen hinzufügen*/
//	if ( TYPO3_MODE === 'BE' && is_array ( unserialize ( $_EXTCONF ) ) && unserialize ( $_EXTCONF )[ 'all_subtitle_enable' ] == 1 ) {
\TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addFieldsToPalette ( 'tt_content', 'header', '--linebreak--,subheader;LLL:EXT:frontend/Resources/Private/Language/locallang_ttc.xlf:subheader_formlabel', 'after:header_link' );
//	}



    // Add checkbox for high definition image rendering
/*
$igHighDefinitionImageRendering = [
        'ig_high_definition_image_rendering' => [
            'exclude' => 1,
            'label' => 'LLL:EXT:igconfig/Resources/Private/Language/locallang_tca.xlf:ig_high_definition_image_rendering_label',
            'config' => [
                'type' => 'check',
                'items' => [
                    ['LLL:EXT:igconfig/Resources/Private/Language/locallang_tca.xlf:ig_high_definition_image_rendering_checkbox', '']
                ]
            ]
        ]
    ];
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addTCAcolumns('tt_content', $igHighDefinitionImageRendering);
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility::addToAllTCAtypes(
        'tt_content',
        'ig_high_definition_image_rendering',
        'textpic,image',
        'after:image_effects'
    );
*/


    /*

    $TCA['tt_content']['columns']['select_key']['config']['wizards']['tx_wizards_uploads_path'] = array(
        'type' => 'popup',
        'enableByTypeConfig' => 0,
        'title' => 'Link',
        'icon' => 'link_popup.gif',
        //'script' => 'browse_links.php?mode=wizard&act=folder',
	'module' => array(
		'name' => 'wizard_element_browser',
		'urlParameters' => array(
			'mode' => 'wizard',
			'act' => 'folder'
		)
	),
        'JSopenParams' => 'height=300,width=500,status=0,menubar=0,scrollbars=1',
        'params' => array (
            'blindLinkOptions' => 'page,mail,url,file'
        )
    );

    $TCA[ 'tt_content' ][ 'columns' ][ 'CType' ][ 'config' ][ 'items' ][ ] = array (
        'X-Bild-Element',
        'ximage'
    );



    $TCA[ 'tt_content' ][ 'types' ][ 'ximage' ] = $TCA[ 'tt_content' ][ 'types' ][ 'image' ];



    $TCA['tt_content']['types']['uploads']['showitem'] = str_replace(
        '--palette--;LLL:EXT:cms/locallang_ttc.xml:media;uploads',
        'select_key;LLL:EXT:cms/locallang_ttc.xml:select_key.ALT.uploads_formlabel;;wizards[tx_wizards_uploads_path], --palette--;LLL:EXT:cms/locallang_ttc.xml:media;uploads',
        $TCA['tt_content']['types']['uploads']['showitem']
    );

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility :: addToAllTCAtypes ( 'tt_content', 'select_key;LLL:EXT:cms/locallang_ttc.xml:select_key.ALT.uploads_formlabel;;wizards[tx_wizards_uploads_path]', 'ximage', 'after:image' );
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility :: addToAllTCAtypes ( 'tt_content', 'file_collections', 'ximage', 'after:image' );

    $TCA['tt_content']['columns']['select_key']['config']['wizards']['tx_wizards_uploads_path'] = array(
        'type' => 'popup',
        'enableByTypeConfig' => 0,
        'title' => 'Link',
        'icon' => 'link_popup.gif',
       // 'script' => 'browse_links.php?mode=wizard&act=folder',
	'module' => array(
                'name' => 'wizard_element_browser',
                'urlParameters' => array(
                        'mode' => 'wizard',
                        'act' => 'folder'
                )
        ),
        'JSopenParams' => 'height=300,width=500,status=0,menubar=0,scrollbars=1',
        'params' => array (
            'blindLinkOptions' => 'page,mail,url,file'
        )
    );

    $TCA[ 'tt_content' ][ 'columns' ][ 'CType' ][ 'config' ][ 'items' ][ ] = array (
        'X-Bild-Element-Galerie',
        'ximagegalerie'
    );



    $TCA[ 'tt_content' ][ 'types' ][ 'ximagegalerie' ] = $TCA[ 'tt_content' ][ 'types' ][ 'ximage' ];

    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility :: addToAllTCAtypes ( 'tt_content', 'select_key;LLL:EXT:cms/locallang_ttc.xml:select_key.ALT.uploads_formlabel;;wizards[tx_wizards_uploads_path]', 'ximagegalerie', 'after:image' );
    \TYPO3\CMS\Core\Utility\ExtensionManagementUtility :: addToAllTCAtypes ( 'tt_content', 'file_collections', 'ximagegalerie', 'after:image' );

    */


  });
